# vim:ft=spec:

Name:           ghostty
Version:        1.1.2^82.e07b6fdf
Release:        1%{?dist}
Summary:        GPU-accelerated terminal with GTK4 UI

License:        MIT
URL:            https://github.com/ghostty-org/ghostty
Source0:        ghostty-11b07627.tar.gz

BuildRequires: blueprint-compiler
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib2-devel
BuildRequires: gtk4-devel
BuildRequires: harfbuzz-devel
BuildRequires: libadwaita-devel
BuildRequires: libpng-devel
BuildRequires: oniguruma-devel
BuildRequires: pandoc-cli
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: wayland-protocols-devel
BuildRequires: zig
BuildRequires: zlib-ng-devel

Requires: fontconfig
Requires: freetype
Requires: glib2
Requires: gtk4
Requires: harfbuzz
Requires: libadwaita
Requires: libpng
Requires: oniguruma
Requires: pixman
Requires: zlib-ng

%description
Ghostty is a fast, feature-rich, and cross-platform terminal emulator that uses
platform-native UI and GPU acceleration.

%prep
%setup -T -b 0 -q -n ghostty

%build
# Replace the caret in the rpm version with something that doesn't break Zig.
v="%{version}-%{release}"
v="${v/^/+}"
zig build \
    --summary all \
    --prefix "%{buildroot}%{_prefix}" \
    -Dversion-string="$v" \
    -Doptimize=ReleaseFast \
    -Dcpu=baseline \
    -Dpie=true \
    -Demit-docs

# Find the files because manually listing them is boring.
find "%{buildroot}" -type f | \
sed 's,^%{buildroot},,' | \
grep -v '^%{_datadir}/ghostty/' > files

%files -f files
%license LICENSE
%{_datadir}/ghostty

%changelog
* Thu Mar 06 2025 Aron Griffis <aron@scampersand.com> - 1.1.2^82.e07b6fdf-1
- Nightly build from git master
